Problem with qtmapbox (white screen) module mapboxGL is not installed



  • Hello,
    My problem is that all the time I can not install mapboxGL. I need this module for the correct operation of the navigation done in the mapbox. All is supposed to work on Raspberry Pi3, unfortunately when I run on rpi, my navigation is just a white screen and nothing else. As I have guessed, everything is due to the lack of this module. Can anyone help me? Maybe I'm wrong and this is not the fault of mapboxGL ...
    Sample mapbox projects also do not want to work on rpi, on a virtual ubuntu on my pc works all flawlessly. I am writing this post because I am trying to do it for over two weeks but without fruitful. Earlier, I worked on qt 5.12.3, now I am trying to do it on 5.12.4 and it's still the same.
    I am adding logs in which the information displayed during the qt installation is included.
    PasteBin:
    link text

    Configure summary:
    
    Building on: linux-g++ (x86_64, CPU features: mmx sse sse2)
    Building for: devices/linux-rasp-pi-g++ (arm, CPU features: <none>)
    Target compiler: gcc 4.8.3
    Configuration: cross_compile compile_examples enable_new_dtags largefile precompile_header shared rpath release c++11 concurrent dbus reduce_exports stl
    Build options:
      Mode ................................... release
      Optimize release build for size ........ no
      Building shared libraries .............. yes
      Using C standard ....................... C11
      Using C++ standard ..................... C++11
      Using ccache ........................... no
      Using gold linker ...................... no
      Using new DTAGS ........................ yes
      Using precompiled headers .............. yes
      Using LTCG ............................. no
      Target compiler supports:
        NEON ................................. no
      Build parts ............................ libs
    Qt modules and options:
      Qt Concurrent .......................... yes
      Qt D-Bus ............................... yes
      Qt D-Bus directly linked to libdbus .... no
      Qt Gui ................................. yes
      Qt Network ............................. yes
      Qt Sql ................................. yes
      Qt Testlib ............................. yes
      Qt Widgets ............................. yes
      Qt Xml ................................. yes
    Support enabled for:
      Using pkg-config ....................... yes
      udev ................................... yes
      Using system zlib ...................... yes
    Qt Core:
      DoubleConversion ....................... yes
        Using system DoubleConversion ........ yes
      GLib ................................... no
      iconv .................................. yes
      ICU .................................... no
      Tracing backend ........................ <none>
      Logging backends:
        journald ............................. no
        syslog ............................... no
        slog2 ................................ no
      Using system PCRE2 ..................... no
    Qt Network:
      getifaddrs() ........................... yes
      IPv6 ifname ............................ yes
      libproxy ............................... no
      Linux AF_NETLINK ....................... yes
      OpenSSL ................................ yes
        Qt directly linked to OpenSSL ........ no
      OpenSSL 1.1 ............................ no
      DTLS ................................... yes
      SCTP ................................... no
      Use system proxies ..................... yes
    Qt Gui:
      Accessibility .......................... yes
      FreeType ............................... yes
        Using system FreeType ................ yes
      HarfBuzz ............................... yes
        Using system HarfBuzz ................ no
      Fontconfig ............................. yes
      Image formats:
        GIF .................................. yes
        ICO .................................. yes
        JPEG ................................. yes
          Using system libjpeg ............... yes
        PNG .................................. yes
          Using system libpng ................ yes
      EGL .................................... yes
      OpenVG ................................. yes
      OpenGL:
        Desktop OpenGL ....................... no
        OpenGL ES 2.0 ........................ yes
        OpenGL ES 3.0 ........................ no
        OpenGL ES 3.1 ........................ no
        OpenGL ES 3.2 ........................ no
      Vulkan ................................. no
      Session Management ..................... yes
    Features used by QPA backends:
      evdev .................................. yes
      libinput ............................... yes
      INTEGRITY HID .......................... no
      mtdev .................................. yes
      tslib .................................. yes
      xkbcommon .............................. yes
      X11 specific:
        XLib ................................. yes
        XCB Xlib ............................. yes
        EGL on X11 ........................... no
    QPA backends:
      DirectFB ............................... no
      EGLFS .................................. yes
      EGLFS details:
        EGLFS OpenWFD ........................ no
        EGLFS i.Mx6 .......................... no
        EGLFS i.Mx6 Wayland .................. no
        EGLFS RCAR ........................... no
        EGLFS EGLDevice ...................... no
        EGLFS GBM ............................ yes
        EGLFS VSP2 ........................... no
        EGLFS Mali ........................... no
        EGLFS Raspberry Pi ................... yes
        EGLFS X11 ............................ no
      LinuxFB ................................ yes
      VNC .................................... yes
      Mir client ............................. no
      XCB:
        Using system-provided XCB libraries .. yes
        XCB XKB .............................. yes
        XCB XInput ........................... no
        Native painting (experimental) ....... yes
        GL integrations:
          GLX Plugin ......................... no
          EGL-X11 Plugin ..................... no
    Qt Sql:
      SQL item models ........................ yes
    Qt Widgets:
      GTK+ ................................... no
      Styles ................................. Fusion Windows
    Qt PrintSupport:
      CUPS ................................... yes
    Qt Sql Drivers:
      DB2 (IBM) .............................. no
      InterBase .............................. no
      MySql .................................. no
      OCI (Oracle) ........................... no
      ODBC ................................... yes
      PostgreSQL ............................. yes
      SQLite2 ................................ no
      SQLite ................................. yes
        Using system provided SQLite ......... no
      TDS (Sybase) ........................... yes
    Qt Testlib:
      Tester for item models ................. yes
    Qt SerialBus:
      Socket CAN ............................. yes
      Socket CAN FD .......................... yes
    Further Image Formats:
      JasPer ................................. no
      MNG .................................... no
      TIFF ................................... yes
        Using system libtiff ................. yes
      WEBP ................................... yes
        Using system libwebp ................. yes
    Qt QML:
      QML network support .................... yes
      QML debugging and profiling support .... yes
      QML sequence object .................... yes
      QML list model ......................... yes
      QML XML http request ................... yes
      QML Locale ............................. yes
      QML delegate model ..................... yes
    Qt Quick:
      Direct3D 12 ............................ no
      AnimatedImage item ..................... yes
      Canvas item ............................ yes
      Support for Qt Quick Designer .......... yes
      Flipable item .......................... yes
      GridView item .......................... yes
      ListView item .......................... yes
      TableView item ......................... yes
      Path support ........................... yes
      PathView item .......................... yes
      Positioner items ....................... yes
      Repeater item .......................... yes
      ShaderEffect item ...................... yes
      Sprite item ............................ yes
    Qt Scxml:
      ECMAScript data model for QtScxml ...... yes
    Qt Gamepad:
      SDL2 ................................... no
    Qt 3D:
      Assimp ................................. yes
      System Assimp .......................... no
      Output Qt3D Job traces ................. no
      Output Qt3D GL traces .................. no
      Use SSE2 instructions .................. no
      Use AVX2 instructions .................. no
      Aspects:
        Render aspect ........................ yes
        Input aspect ......................... yes
        Logic aspect ......................... yes
        Animation aspect ..................... yes
        Extras aspect ........................ yes
    Qt 3D Renderers:
      OpenGL Renderer ........................ yes
    Qt 3D GeometryLoaders:
      Autodesk FBX ........................... no
    Qt Wayland Drivers:
      EGL .................................... yes
      Raspberry Pi ........................... yes
      XComposite EGL ......................... no
      XComposite GLX ......................... no
      DRM EGL ................................ no
      libhybris EGL .......................... no
      Shm emulation server buffer integration . yes
    Qt Wayland Client ........................ yes
    Qt Wayland Compositor .................... yes
    Qt Wayland Compositor Layer Plugins:
      VSP2 hardware layer integration ........ no
    Qt Bluetooth:
      BlueZ .................................. no
      BlueZ Low Energy ....................... no
      Linux Crypto API ....................... no
      WinRT Bluetooth API (desktop & UWP) .... no
    Qt Sensors:
      sensorfw ............................... no
    Qt Quick Controls 2:
      Styles ................................. Default Fusion Imagine Material Universal
    Qt Quick Templates 2:
      Hover support .......................... yes
      Multi-touch support .................... yes
    Qt Positioning:
      Gypsy GPS Daemon ....................... no
      WinRT Geolocation API .................. no
    Qt Location:
      Qt.labs.location experimental QML plugin . yes
      Geoservice plugins:
        OpenStreetMap ........................ yes
        HERE ................................. yes
        Esri ................................. yes
        Mapbox ............................... yes
        MapboxGL ............................. no
        Itemsoverlay ......................... yes
    QtXmlPatterns:
      XML schema support ..................... yes
    Qt Multimedia:
      ALSA ................................... yes
      GStreamer 1.0 .......................... no
      GStreamer 0.10 ......................... no
      Video for Linux ........................ yes
      OpenAL ................................. no
      PulseAudio ............................. no
      Resource Policy (libresourceqt5) ....... no
      Windows Audio Services ................. no
      DirectShow ............................. no
      Windows Media Foundation ............... no
    Qt Tools:
      QDoc ................................... no
    Qt WebEngine:
      Embedded build ......................... yes
      Pepper Plugins ......................... no
      Printing and PDF ....................... no
      Proprietary Codecs ..................... no
      Spellchecker ........................... yes
      Native Spellchecker .................... no
      WebRTC ................................. no
      Use System Ninja ....................... no
      Geolocation ............................ yes
      WebChannel support ..................... yes
      Use v8 snapshot ........................ yes
      Kerberos Authentication ................ no
      Building v8 snapshot supported ......... no
      Use ALSA ............................... yes
      Use PulseAudio ......................... yes
      Optional system libraries used:
        re2 .................................. no
        icu .................................. no
        libwebp, libwebpmux and libwebpdemux . yes
        opus ................................. yes
        ffmpeg ............................... no
        libvpx ............................... no
        snappy ............................... no
        glib ................................. yes
        zlib ................................. yes
        minizip .............................. yes
        libevent ............................. yes
        jsoncpp .............................. yes
        protobuf ............................. no
        libxml2 and libxslt .................. no
        lcms2 ................................ no
        png .................................. yes
        JPEG ................................. yes
        harfbuzz ............................. no
        freetype ............................. yes
        x11 .................................. no
      Required system libraries:
        fontconfig ........................... yes
        dbus ................................. no
        nss .................................. yes
        khr .................................. yes
        glibc ................................ yes
      Required system libraries for qpa-xcb:
        libdrm ............................... yes
        xcomposite ........................... no
        xcursor .............................. no
        xi ................................... no
        xtst ................................. no
    
    Note: Also available for Linux: linux-clang linux-icc
    
    Note: PKG_CONFIG_LIBDIR automatically set to /opt/qt5pi/sysroot/usr/lib/pkgconfig:/opt/qt5pi/sysroot/usr/share/pkgconfig:/opt/qt5pi/sysroot/usr/lib/arm-linux-gnueabihf/pkgconfig
    
    Note: PKG_CONFIG_SYSROOT_DIR automatically set to /opt/qt5pi/sysroot
    
    Note: Disabling X11 Accessibility Bridge: D-Bus or AT-SPI is missing.
    
    WARNING: QDoc will not be compiled, probably because libclang could not be located. This means that you cannot build the Qt documentation.
    
    Either ensure that llvm-config is in your PATH environment variable, or set LLVM_INSTALL_DIR to the location of your llvm installation.
    On Linux systems, you may be able to install libclang by installing the libclang-dev or libclang-devel package, depending on your distribution.
    On macOS, you can use Homebrew's llvm package.
    On Windows, you must set LLVM_INSTALL_DIR to the installation path.
    
    WARNING: flex is required to build QtWebEngine.
    
    WARNING: Thumb instruction set is required to build ffmpeg for QtWebEngine.
    
    Qt is now configured for building. Just run 'make'.
    Once everything is built, you must run 'make install'.
    Qt will be installed into '/opt/qt5pi/sysroot/usr/local/qt5pi'.
    
    Prior to reconfiguration, make sure you remove any leftovers from
    the previous build.
    

  • Lifetime Qt Champion

    Hi,

    Did you see the list of supported platforms in the documentation ?

    Which is yours exactly ?



  • @SGaist
    I'm currently doing the whole thing on the latest virtual Ubuntu. Then I compiled project with navigation on RPI3 with the latest raspbian stretch system. I did not look closely at the available platforms, but it seems to me that raspbian should be compatible, unless I'm wrong.


  • Lifetime Qt Champion

    This issue on the MapBox GL tracker could be of help.



  • @SGaist
    I had seen this topic before and did nothing to solve my problem. I was looking for a file that mentioned a person in this topic, but it was apparently already removed in the mapbox for QT.
    I noticed another thing, namely that my gcc has versions 4.8.2 and mapbox requires 4.9+.
    So I changed the compiler to 4.9.3 from the tools file for Raspberry
    but during the installation I got an error.

    CONSOLE:

    dominik@dominik-VirtualBox:/opt/qt5pi/qt5build$ ../qt-everywhere-src-5.12.4/configure -opengl es2 -device linux-rasp-pi-g++ -device-option CROSS_COMPILE=arm-linux-gnueabihf- -sysroot /opt/qt5pi/sysroot -prefix /usr/local/qt5pi -opensource -confirm-license -skip qtscript -nomake examples -make libs -pkg-config -no-use-gold-linker -v 
    + cd qtbase
    + /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/configure -top-level -opengl es2 -device linux-rasp-pi-g++ -device-option CROSS_COMPILE=arm-linux-gnueabihf- -sysroot /opt/qt5pi/sysroot -prefix /usr/local/qt5pi -opensource -confirm-license -skip qtscript -nomake examples -make libs -pkg-config -no-use-gold-linker -v
    Performing shadow build...
    Preparing build tree...
    Creating qmake...
    g++ -c -o qfilesystemengine_unix.o   -std=c++11 -ffunction-sections -fdata-sections -g -g  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/library -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/unix -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/win32 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/mac -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4/QtCore -I../src/corelib/global -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/linux-g++ -DQT_VERSION_STR=\"5.12.4\" -DQT_VERSION_MAJOR=5 -DQT_VERSION_MINOR=12 -DQT_VERSION_PATCH=4 -DQT_BUILD_QMAKE -DQT_BOOTSTRAPPED -DPROEVALUATOR_FULL -DQT_NO_FOREACH /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/src/corelib/io/qfilesystemengine_unix.cpp
    g++ -c -o qfilesystemiterator_unix.o   -std=c++11 -ffunction-sections -fdata-sections -g -g  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/library -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/unix -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/win32 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/mac -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4/QtCore -I../src/corelib/global -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/linux-g++ -DQT_VERSION_STR=\"5.12.4\" -DQT_VERSION_MAJOR=5 -DQT_VERSION_MINOR=12 -DQT_VERSION_PATCH=4 -DQT_BUILD_QMAKE -DQT_BOOTSTRAPPED -DPROEVALUATOR_FULL -DQT_NO_FOREACH /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/src/corelib/io/qfilesystemiterator_unix.cpp
    g++ -c -o qfsfileengine_unix.o   -std=c++11 -ffunction-sections -fdata-sections -g -g  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/library -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/unix -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/win32 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/mac -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4/QtCore -I../src/corelib/global -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/linux-g++ -DQT_VERSION_STR=\"5.12.4\" -DQT_VERSION_MAJOR=5 -DQT_VERSION_MINOR=12 -DQT_VERSION_PATCH=4 -DQT_BUILD_QMAKE -DQT_BOOTSTRAPPED -DPROEVALUATOR_FULL -DQT_NO_FOREACH /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/src/corelib/io/qfsfileengine_unix.cpp
    g++ -c -o qlocale_unix.o   -std=c++11 -ffunction-sections -fdata-sections -g -g  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/library -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/unix -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/win32 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/mac -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4/QtCore -I../src/corelib/global -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/linux-g++ -DQT_VERSION_STR=\"5.12.4\" -DQT_VERSION_MAJOR=5 -DQT_VERSION_MINOR=12 -DQT_VERSION_PATCH=4 -DQT_BUILD_QMAKE -DQT_BOOTSTRAPPED -DPROEVALUATOR_FULL -DQT_NO_FOREACH /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/src/corelib/tools/qlocale_unix.cpp
    g++ -c -o qlibraryinfo.o   -std=c++11 -ffunction-sections -fdata-sections -g -g  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/library -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/unix -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/win32 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/qmake/generators/mac -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4 -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/include/QtCore/5.12.4/QtCore -I../src/corelib/global -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/linux-g++ -DQT_VERSION_STR=\"5.12.4\" -DQT_VERSION_MAJOR=5 -DQT_VERSION_MINOR=12 -DQT_VERSION_PATCH=4 -DQT_BUILD_QMAKE -DQT_BOOTSTRAPPED -DPROEVALUATOR_FULL -DQT_NO_FOREACH -DQT_BUILD_QMAKE_BOOTSTRAP /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/src/corelib/global/qlibraryinfo.cpp
    g++ -o "../bin/qmake" main.o meta.o option.o project.o property.o ioutils.o proitems.o qmakebuiltins.o qmakeevaluator.o qmakeglobals.o qmakeparser.o qmakevfs.o pbuilder_pbx.o makefile.o makefiledeps.o metamakefile.o projectgenerator.o unixmake2.o unixmake.o mingw_make.o msbuild_objectmodel.o msvc_nmake.o msvc_objectmodel.o msvc_vcproj.o msvc_vcxproj.o winmakefile.o xmloutput.o qutfcodec.o qendian.o qglobal.o qlogging.o qmalloc.o qnumeric.o qoperatingsystemversion.o qrandom.o qabstractfileengine.o qbuffer.o qdatastream.o qdebug.o qdir.o qdiriterator.o qfile.o qfiledevice.o qfileinfo.o qfilesystemengine.o qfilesystementry.o qfsfileengine.o qfsfileengine_iterator.o qiodevice.o qsettings.o qtemporaryfile.o qtextstream.o qjsonarray.o qjson.o qjsondocument.o qjsonobject.o qjsonparser.o qjsonvalue.o qmetatype.o qsystemerror.o qvariant.o quuid.o qarraydata.o qbitarray.o qbytearray.o qbytearraymatcher.o qcryptographichash.o qdatetime.o qhash.o qlinkedlist.o qlist.o qlocale.o qlocale_tools.o qmap.o qregexp.o qringbuffer.o qstringbuilder.o qstring_compat.o qstring.o qstringlist.o qversionnumber.o qvsnprintf.o qxmlstream.o qxmlutils.o qcore_unix.o qfilesystemengine_unix.o qfilesystemiterator_unix.o qfsfileengine_unix.o qlocale_unix.o  qlibraryinfo.o   -Wl,--gc-sections
    Command line: -opengl es2 -device linux-rasp-pi-g++ -device-option CROSS_COMPILE=arm-linux-gnueabihf- -sysroot /opt/qt5pi/sysroot -prefix /usr/local/qt5pi -opensource -confirm-license -skip qtscript -nomake examples -make libs -pkg-config -no-use-gold-linker -v
    
    < I CUT SOME PART OF THIS CODE>
    
    
    This is the Qt Open Source Edition.
    
    You have already accepted the terms of the Open Source license.
    
    Running configuration tests...
    Checking for machine tuple... 
    + arm-linux-gnueabihf-g++ -dumpmachine
    > arm-linux-gnueabihf
    test config.qtbase.tests.machineTuple succeeded
    Checking for valid makespec... 
    + cd /opt/qt5pi/qt5build/config.tests/verifyspec && /opt/qt5pi/qt5build/qtbase/bin/qmake "CONFIG -= qt debug_and_release app_bundle lib_bundle" "CONFIG += shared warn_off console single_arch" "QMAKE_CFLAGS += --sysroot=/opt/qt5pi/sysroot" "QMAKE_CXXFLAGS += --sysroot=/opt/qt5pi/sysroot" "QMAKE_LFLAGS += --sysroot=/opt/qt5pi/sysroot" -early "CONFIG += cross_compile" /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/config.tests/verifyspec
    + cd /opt/qt5pi/qt5build/config.tests/verifyspec && MAKEFLAGS= /usr/bin/make
    > arm-linux-gnueabihf-g++ -c -march=armv8-a -mtune=cortex-a53 -mfpu=crypto-neon-fp-armv8 -mfloat-abi=hard --sysroot=/opt/qt5pi/sysroot -O2 -std=gnu++11 -w -fPIC  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/config.tests/verifyspec -I. -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/devices/linux-rasp-pi-g++ -o verifyspec.o /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/config.tests/verifyspec/verifyspec.cpp
    > arm-linux-gnueabihf-g++ -mfloat-abi=hard --sysroot=/opt/qt5pi/sysroot -Wl,-O1 -Wl,-rpath-link,/opt/qt5pi/sysroot/opt/vc/lib -Wl,-rpath-link,/opt/qt5pi/sysroot/usr/lib/arm-linux-gnueabihf -Wl,-rpath-link,/opt/qt5pi/sysroot/lib/arm-linux-gnueabihf -o verifyspec verifyspec.o      
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/4.9.3/../../../../arm-linux-gnueabihf/bin/ld: cannot find crt1.o: Nie ma takiego pliku ani katalogu
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/4.9.3/../../../../arm-linux-gnueabihf/bin/ld: cannot find crti.o: Nie ma takiego pliku ani katalogu
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/4.9.3/../../../../arm-linux-gnueabihf/bin/ld: cannot find -lm
    > collect2: error: ld returned 1 exit status
    > Makefile:68: recipe for target 'verifyspec' failed
    > make: *** [verifyspec] Error 1
    Note: Also available for Linux: linux-clang linux-icc
    
    ERROR: Cannot compile a minimal program. The toolchain or QMakeSpec is broken.
    

    CONFIG.LOG

    ```Command line: -opengl es2 -device linux-rasp-pi-g++ -device-option CROSS_COMPILE=/opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/arm-linux-gnueabihf- -sysroot /opt/qt5pi/sysroot -prefix /usr/local/qt5pi -opensource -confirm-license -skip qtscript -nomake examples -make libs -pkg-config -no-use-gold-linker -v
    executing config test machineTuple
    + /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/arm-linux-gnueabihf-g++ -dumpmachine
    > arm-linux-gnueabihf
    test config.qtbase.tests.machineTuple succeeded
    executing config test verifyspec
    + cd /opt/qt5pi/qt5build/config.tests/verifyspec && /opt/qt5pi/qt5build/qtbase/bin/qmake "CONFIG -= qt debug_and_release app_bundle lib_bundle" "CONFIG += shared warn_off console single_arch" "QMAKE_CFLAGS += --sysroot=/opt/qt5pi/sysroot" "QMAKE_CXXFLAGS += --sysroot=/opt/qt5pi/sysroot" "QMAKE_LFLAGS += --sysroot=/opt/qt5pi/sysroot" -early "CONFIG += cross_compile" /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/config.tests/verifyspec
    + cd /opt/qt5pi/qt5build/config.tests/verifyspec && MAKEFLAGS= /usr/bin/make
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/arm-linux-gnueabihf-g++ -c -march=armv8-a -mtune=cortex-a53 -mfpu=crypto-neon-fp-armv8 -mfloat-abi=hard --sysroot=/opt/qt5pi/sysroot -O2 -std=gnu++11 -w -fPIC  -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/config.tests/verifyspec -I. -I/opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/mkspecs/devices/linux-rasp-pi-g++ -o verifyspec.o /opt/qt5pi/qt-everywhere-src-5.12.4/qtbase/config.tests/verifyspec/verifyspec.cpp
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/arm-linux-gnueabihf-g++ -mfloat-abi=hard --sysroot=/opt/qt5pi/sysroot -Wl,-O1 -Wl,-rpath-link,/opt/qt5pi/sysroot/opt/vc/lib -Wl,-rpath-link,/opt/qt5pi/sysroot/usr/lib/arm-linux-gnueabihf -Wl,-rpath-link,/opt/qt5pi/sysroot/lib/arm-linux-gnueabihf -o verifyspec verifyspec.o      
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/4.9.3/../../../../arm-linux-gnueabihf/bin/ld: cannot find crt1.o: Nie ma takiego pliku ani katalogu
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/4.9.3/../../../../arm-linux-gnueabihf/bin/ld: cannot find crti.o: Nie ma takiego pliku ani katalogu
    > /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/../lib/gcc/arm-linux-gnueabihf/4.9.3/../../../../arm-linux-gnueabihf/bin/ld: cannot find -lm
    > collect2: error: ld returned 1 exit status
    > Makefile:68: recipe for target 'verifyspec' failed
    > make: *** [verifyspec] Error 1
    
    **CONFIG.CACHE**
    

    cache.platform = linux-g++
    cache.xplatform = devices/linux-rasp-pi-g++
    cache.machineTuple.KEYS = result msgs tuple
    cache.machineTuple.result = true
    cache.machineTuple.msgs = "+ /opt/qt5pi/tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/bin/arm-linux-gnueabihf-g++ -dumpmachine" "> arm-linux-gnueabihf"
    cache.machineTuple.tuple = arm-linux-gnueabihf

    
    GCC version 4.8.2 easily installs components without error.

Log in to reply